{% set PageTitle = "Request One-Time Access Code Page" %}

{% extends "opvmaster.html" %}
{% block styles %}
{% endblock %}
{% block main %}

<div class="opv-main" id="opv-master">
    <div class="opv-master theme-cool-grey">
        <div class="opv-master__container container">
          <div class="opv-master__main">
            <div class="opv-master__left-content opv-otac-validation">
                <div id="opv-left-nav"></div>
                <div class="break"></div>
                <div id="opv-reg-tooltip"></div>
            </div>
            <div class="opv-master__right-content">
                <div id="opv-right-nav"></div>
            </div>
          </div>
        </div>
      </div>
</div>


{% endblock %}
{% block scripts %}
<script>
    //Left-Nav ::::OpvCustomAccessCodeForm
    ReactDOM.render(React.createElement(Components.OpvCustomAccessCodeForm,{
    }), document.getElementById("opv-left-nav"));
    
    //form-area
    ReactDOM.render(React.createElement(Components.Form,{
        endpoint : "dist/json/opv-form.json",
        id: 'enteraccessCodeForm',
        heading: "Enter one-time access code",
        intro: "You should have received a letter containing your access code. Please enter it below.",
        submit: "Next",
        isOpvForm: true,        
        groups: [
            {
                id : "opv-access-code",
                name: "",
                fields :[
                    {
                        id:"oac",
                        size : "oac",
                        type: "text",
                        label: "One-time access code",
                        placeholder: "xxx",
                        isRequired : false,
                        isOpvField: true,
                        customError : "Please enter a valid one-time access code",
                        formatError: "Please enter a valid one-time access code",
                        data:{
                            exactLength: 3
                        }
                    },
                    {
                        id:"oac1",
                        size : "oac1",
                        type: "text",
                        placeholder: "xxx",
                        isRequired : false,
                        isOpvField: true,
                        customError : "Please enter a valid one-time access code",
                        formatError: "Please enter a valid one-time access code",
                        data:{
                            exactLength: 3
                        }
                    },
                    {
                        id:"oac2",
                        size : "oac2",
                        type: "text",
                        placeholder: "xxx",
                        isRequired : false,
                        isOpvField: true,
                        customError : "Please enter a valid one-time access code",
                        formatError: "Please enter a valid one-time access code",
                        data:{
                            exactLength: 3
                        }
                    },
                    {
                        id : "policyNumber",                        
                        type : "text",
                        label : "Policy number",
                        additional : "It’s on your policy documents. For example, ‘LV123456’.",
                        placeholder : "Enter your policy number",
                        customError : "Please enter a valid policy number",
                        formatError : 'Please enter a valid policy number',
                        isRequired : false,
                        isOpvField: true,
                        data:{
                            alphanumeric: true,
                            minLength: 7,
                            maxLength: 10
                        }
                    }
                ]
            }
        ],
        'testSuccess':true,
        'testFailure':false
    }), document.getElementById("custom-form-area"));
    // Tooltip :::: OpvRegTooltip

    ReactDOM.render(React.createElement(Components.OpvRegTooltip, {        
        link: `<a href="#">Why do we need this information?</a>`, 
        title : `<h6 class="infoheading">Why do we need this information?</h6>`,
        description: `<p class="paraContent">In order to complete the registration process you will need to input a One Time Access Code you received in the post and your current pension policy number.
            The data collected will not for used for any other purposes and will not be stored for longer than is required.
        </p>`,
    }), document.getElementById("opv-reg-tooltip"));
    ReactDOM.render(React.createElement(Components.OpvRightNav, {
        title: `Need some help?`,
        content: `If you need some help logging on or have a query call one of our friendly agents on <strong>0800 XXX XXX</strong>`,
        cta:`<img src="../../dist/images/icon/icon-faq.svg" />`,
        faqTxt: `FAQ`,
        theme:{
            themeName:'cool-grey'
        },
        
        faqContent: `<h6>FAQ’s</h6>
            <p class="faq-subhead"><b>Registration</b></p>

            <p class="faq-copy"><b>Q.</b>How do I know if I have a Self Invested Personal Penson?</p>
            <p class="faq-copy ans"><b>A.</b></p>
            
            <p class="faq-copy"><b>Q.</b>What is a one-time access code and why do I need it?</p>
            <p class="faq-copy ans"><b>A.</b></p>

            <p class="faq-copy"><b>Q.</b>What is two-step verification and why do I need it?</p>
            <p class="faq-copy ans"><b>A.</b></p>

            <p class="faq-copy"><b>Q.</b> I don’t have a mobile phone number, can I still register?</p>
            <p class="faq-copy ans"><b>A.</b></p>

            <p class="faq-copy"><b>Q.</b> I no longer live in the UK, can I still register?</p>
            <p class="faq-copy ans"><b>A.</b></p>

            <p class="paraHeading"><b>Logged in</b></p>

            <p class="faq-copy"><b>Q.</b> What is a SIPP Bank Account?</p>
            <p class="faq-copy ans"><b>A.</b></p>
            <p class="faq-copy"><b>Q.</b> Why are the valuation dates of my funds different?</p>
            <p class="faq-copy ans"><b>A.</b></p>`
    }), document.getElementById('opv-right-nav'));
</script>
{% endblock %}       